GOTO :START
@REM ##############################################################################
@REM # Installation script for Microsoft patch day March 2017
@REM # 
@REM # !!! This script is developed to use during basic installation procedure !!!
@REM # !!! A filter 'windows7' and 'X64' is used to select relevant patches    !!!
@REM # 
@REM # OS:           Windows7
@REM # Processor:    X64
@REM # 
@REM # Author:       Syed Shabbir
@REM # Department:   Siemens Healthcare SHPL, HC SI DC IN DI2 MI DEVOPS
@REM # Release date: 27-July-2017
@REM ##############################################################################
:START
SET STARTDIR_PATCH=%~dp0

@REM #################### MAIN ####################


@REM ### MS15-034  CHARM:
call :MSU_INSTALL %STARTDIR_PATCH%MS15-034\Windows6.1-KB3042553-x64.msu


GOTO :END
@REM ##############################################

:MSU_INSTALL
	ECHO wusa.exe %1 /quiet /norestart /log:C:\temp\MI_MI408-17-R_LOG\Windows_hotfix_install_MI_MI408-17-R.evtx
	wusa.exe %1 /quiet /norestart /log:C:\temp\MI_MI408-17-R_LOG\Windows_hotfix_install_MI_MI408-17-R.evtx
	IF %ERRORLEVEL% == 0 (

				ECHO "Hotfix %1 is Successfully installed " >> %LOCAL_LOG_FILE%

	) ELSE IF %ERRORLEVEL% == 3010 (

				ECHO "Hotfix %1 is Successfully installed" >> %LOCAL_LOG_FILE%
					
	) ELSE (
				SET ERRORCODE=1
				ECHO "There are errors in the installation of %1, Please check the installation logs" >> %LOCAL_LOG_FILE%
	)
	%SLEEP15%
GOTO :EOF

:EXE_INSTALL
	ECHO call %1 /q /norestart /log C:\temp\MI_MI408-17-R\WannaCry_install_MI_MI408-17-R
	call %1 /q /norestart /log C:\temp\MI_MI408-17-R\WannaCry_install_MI_MI408-17-R
	IF %ERRORLEVEL% == 0 (

				ECHO "Hotfix %1 is Successfully installed " >> %LOCAL_LOG_FILE%

	) ELSE IF %ERRORLEVEL% == 3010 (

				ECHO "Hotfix %1 is Successfully installed" >> %LOCAL_LOG_FILE%
					
	) ELSE (
				SET ERRORCODE=1
				ECHO "There are errors in the installation of %1, Please check the installation logs" >> %LOCAL_LOG_FILE%
	)
	%SLEEP15%
GOTO :EOF

:INST_CERT
  ECHO certutil -addstore root "%1"
  certutil -addstore root "%1"
GOTO :EOF

:MSI_INSTALL
  ECHO call msiexec /i %1 /quiet /norestart
  call msiexec /i %1 /quiet /norestart
  %SLEEP15%
GOTO :EOF

:END
