
@echo off

rem install.bat
rem This script will is for a local install the SP.
rem J.Kisiel 8/19/2016 HC DI MI PLM-R&D SW DO HES
rem rem History:
rem Name, 	Date, 	   Description
rem ----------------------------------------------
rem J.Kisiel, 12/1/2016
rem 

Title MS Hotfix Patch

set CURRENTDIR=%~dp0
SET SP_LOCAL_LOG=C:\temp\MI_MI408-17-R_LOG\install.log
mkdir C:\temp\MI_MI408-17-R_LOG >nul 2>&1
echo Starting Install.bat. So this is manual install and will copy SP to SD_Store and start installation.  >> %SP_LOCAL_LOG%

if /I "%username%" == "Administrator" (goto START) else (goto ERROR_NOT_ADMIN)

:START
echo Installing Patch ... 
echo 	Please be patient, this could take 15 to 30 minutes
echo Installing Patch. Locally. >> %SP_LOCAL_LOG%
echo. 

if not exist %SD_HOME% goto ErrorNoSD
Call %CURRENTDIR%\CopyToSDStore.bat %SP_LOCAL_LOG%
goto END


:ERROR_NOT_ADMIN
echo ERROR:
echo This Service Pack requires Administrator rights. Please log in as Administrator user in order install MIApps Service pack.
echo This Service Pack requires Administrator rights. Please log in as Administrator user in order install MIApps Service pack. >> %SP_LOCAL_LOG%
rti msgBox "MS Hotfix Patch" "ERROR: This Patch requires Administrator rights. Please log in as Administrator user in order install."
goto END

:ErrorNoSD
echo ERROR: System Management is not installed. 
echo        Please make sure that in Local Service, System Management Agent is installed. 
echo        See Service UI for more information.
echo ERROR: Please make sure that in Local Service, System Management Agent is installed. No SD_STORE >> %SP_LOCAL_LOG%
rti msgBox "MS Hotfix Patch" "ERROR: System Management is not installed.  Please make sure that in Local Service, System Management Agent is installed. See Service UI for more information."
:END