@echo off

ECHO Call installation script of each MS Hotfix Patch Day ...

SET SLEEP15=sleep 15
SET ERRORCODE=0
SET LOCAL_LOG_FILE=C:\temp\MI_MI408-17-R_LOG\install.log
SET LOCAL_VERSION_FILE="%MEDHOME%\config\InstalledPatchVersion"

IF DEFINED SLEEP SET SLEEP15=%SLEEP% 15000

mkdir C:\temp\MI_MI408-17-R_LOG >nul 2>&1

REM start Windows upate service
sc config "wuauserv" start= demand>NUL
sc start "wuauserv">NUL

SET STARTDIR=%~dp0
SET INSTALLMSHOTFIXES=install_MsHotfixes.cmd

SET PATCHDAY=KB3042553
CALL :INSTALL_PATCHDAY


GOTO :END

:INSTALL_PATCHDAY
SET CMD=%STARTDIR%MS-PATCH-%PATCHDAY%\%INSTALLMSHOTFIXES%
IF /I EXIST %CMD% CALL %CMD%
GOTO :EOF

:END
@ECHO The batch file is returning with the errorcode as %ERRORCODE% >> %LOCAL_LOG_FILE%
@IF %ERRORCODE% == 0 (
	@ECHO Installation completed successfully.
	@ECHO MI_MI408-17-R >> %LOCAL_VERSION_FILE%
) ELSE (
	@ECHO Installation encountered error, check the installation log file.
	@ECHO "There are errors in the installation, check the return codes in this log file." >> %LOCAL_LOG_FILE%
)

REM Stop Windows update service
sc stop "wuauserv" >NUL
sc config "wuauserv" start= disabled >NUL

EXIT /B %ERRORCODE%